#include <bits/stdc++.h>
using namespace std;
long long N,K,niz[1005],res;
int main(){
    cin>>N>>K;
    for(int i=1; i<=N; i++)
        cin>>niz[i];

    for(int i=1; i<=N; i++){
        if(niz[i]==K){res=niz[i+1];}
        if(niz[i]==K and niz[i+1]==0){res=niz[i-K-1];}
    }
    cout<<res<<endl;
    return 0;
}